This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1005220 - [eap6] calltime metrics are missing for ManagedServerDeployments
[eap6] calltime metrics are missing for ManagedServerDeployments
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 09:09 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-09-06 09:09:09 EDT
Description of problem: I found out that repsponseTime data produced by rt-filters are not consumed by agent, this only applies for managed servers (running on host controller). It looks like agent tries to read rt log files from wrong place.


Version-Release number of selected component (if applicable):
RHQ 4.9-master build

How reproducible: always

Steps to Reproduce:
1. have EAP6 in running domain mode
2. enable rt-filter on every profile
3. deploy sample app to main-server-group (this goes to 2 managed servers by default)
4. enable response time metrics on deployments (under managed server) web subsystems
5. do some requests to deployed app (make sure you do more than 10 requests)
6. verify "Calltime" results

Actual results: no calltimes are shown
Agent log contains following warnings
WARN  [ResourceContainer.invoker.daemon-315] (rhq.core.pluginapi.util.ResponseTimeLogParser)- Response-time log file '/home/hudson/jboss-eap6-domain/domain/log/rt/hello_rt.log' does not exist.

but real response time logs are produced to /home/hudson/jboss-eap6-domain/domain/servers/server-one/log/rt/hello_rt.log


Expected results: you should see calltime results


Additional info:

Note You need to log in before you can comment on or make changes to this bug.